#ifndef GLASS_HPP_
#define GLASS_HPP_

#include <Block/SpriteBlock/BasicBlock/BasicBlock.hpp>

class Glass : public BasicBlock
{
public:
    Glass(std::string name, std::string displayName, std::string texName, float hardness = 15.0f);

    virtual bool isFullyOpaque() override;
    virtual void onDesignerInitializing(BlockSpriteDesigner &designer, ScriptEngine &engine) override;
};

#endif